#
# spec file for package python-numpydoc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-numpydoc
Version:        0.4
Release:        6.2
License:        BSD-3-Clause
Summary:        Sphinx extension to support docstrings in Numpy format
Url:            http://github.com/numpy/numpy/tree/master/doc/sphinxext
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/n/numpydoc/numpydoc-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements
BuildRequires:  python-Sphinx >= 1.0.1
Requires:       python-Sphinx >= 1.0.1
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Numpy's documentation uses several custom extensions to Sphinx.  These
are shipped in this numpydoc package, in case you want to make use
of them in third-party projects.

%prep
%setup -q -n numpydoc-%{version}
# NOTE(saschpe): Suffix entry point with interpreter version to allow for update-alternatives later on:
sed -i "s|autosummary_generate =|autosummary_generate-%{py_ver} =|" setup.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
ln -s %{_bindir}/autosummary_generate-%{py_ver} %{buildroot}%{_bindir}/autosummary_generate

%check
python setup.py test

%pre
# Since /usr/bin/autosummary_generate became ghosted to be used with update-alternatives, we have
# to get rid of the old binary resulting from the non-update-alternativies-ified package:
[[ ! -L %{_bindir}/autosummary_generate ]] && rm -f %{_bindir}/autosummary_generate
exit 0

%post
update-alternatives \
    --install %{_bindir}/autosummary_generate autosummary_generate %{_bindir}/autosummary_generate-%{py_ver} 20

%preun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove autosummary_generate %{_bindir}/autosummary_generate-%{py_ver}
fi


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%ghost %attr(0755,root,root) %{_bindir}/autosummary_generate
%{_bindir}/autosummary_generate-%{py_ver}
%{python_sitelib}/numpydoc/
%{python_sitelib}/numpydoc-%{version}-py*.egg-info

%changelog
* Thu Oct 31 2013 toddrme2178@gmail.com
- Implement update-alternatives
* Thu Aug 15 2013 speilicke@suse.com
- Rename spec / changes file to project name
* Mon Aug 12 2013 speilicke@suse.com
- Initial version
